> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Identifier Recommendation Actions (accept, reject)



## OpenAPI

````yaml firework-v4-openapi post /firework/v4/identifier-recommendations/actions
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/identifier-recommendations/actions:
    post:
      tags:
        - public
        - team=experience
      summary: Create Action For Identifier Recommendations
      operationId: >-
        create_action_for_identifier_recommendations_identifier_recommendations_actions_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IdentifierRecommendationActionsBody'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IdentifierRecommendationActionsBody:
      properties:
        targets:
          items:
            $ref: '#/components/schemas/IdentifierRecommendationActionTarget'
          type: array
          maxItems: 100
          title: Targets
        action:
          $ref: '#/components/schemas/IdentifierRecommendationAction'
      type: object
      required:
        - action
      title: IdentifierRecommendationActionsBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IdentifierRecommendationActionTarget:
      properties:
        id:
          type: integer
          title: Id
      type: object
      required:
        - id
      title: IdentifierRecommendationActionTarget
    IdentifierRecommendationAction:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierRecommendationActionType'
      type: object
      required:
        - type
      title: IdentifierRecommendationAction
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IdentifierRecommendationActionType:
      type: string
      enum:
        - accept
        - reject
      title: IdentifierRecommendationActionType
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````